﻿@model UserProfileViewModel

<div class="card">
    <div class="card-body">
        <h4 class="card-title">My Profile</h4>
        <div class="row">
            <div class="col-md-10">
                <ul class="nav nav-pills nav-pills-info" id="pills-tab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="pills-home-tab" data-bs-toggle="pill" href="#pills-basic" role="tab" aria-controls="pills-home" aria-selected="false">Personal Info</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="pills-profile-tab" data-bs-toggle="pill" href="#pills-security" role="tab" aria-controls="pills-profile" aria-selected="false">Security & Login</a>
                    </li>
                </ul>
                <div class="tab-content tab-content-custom-pill" id="pills-tabContent">
                    <div class="tab-pane fade active show" id="pills-basic" role="tabpanel" aria-labelledby="pills-home-tab">
                        @await Html.PartialAsync("_PersonalInfo", Model.User)
                    </div>
                    <div class="tab-pane fade" id="pills-security" role="tabpanel" aria-labelledby="pills-profile-tab">
                        <div class="col-sm-8 col-md-6 col-lg-5 text-start">
                            @await Html.PartialAsync("_UserSecurity", Model.PasswordUpdate)
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>